Bug 9316 - support "apxs -q installbuilddir"
support "apxs -q installbuilddir"
Status: CLOSED FIXED
Product: Apache httpd-2
Classification: Unclassified
Component: Build
2.0.36
PC Linux
: P3 enhancement (vote)
: ---
Assigned To: Apache HTTPD Bugs Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2002-05-22 14:26 UTC by Jonathan Knispel
Modified: 2004-11-16 19:05 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Knispel 2002-05-22 14:26:55 UTC
If I build apache 2.0.36 with a custom config.layout entry, the 
apxs script doesn't use it.  The layout I'm using specifies: 
 
    prefix:        /opt/apache-httpd-2_0_36 
    #... 
    datadir:         /var${prefix}/share 
    installbuilddir: ${datadir}/build 
 
The apxs script ends up with this in it: 
 
    my $prefix         = "/opt/apache-httpd-2_0_36"; 
    my $CFG_PREFIX     = $prefix; 
 
    # read the configuration variables once 
    my %config_vars = (); 
    get_config_vars("$prefix/build/config_vars.mk",\%config_vars); 
 
The first parameter to "get_config_vars" should be the 
installbuilddir from the "config.layout" entry. 
 
  Here's the full config.layout entry I'm using in case you need to 
run some more tests on it, but note my remarks afterwards. 
 
#   According to the Linux Filesystem Hierarchy Standard 2.2 (FHS) with 
#   the full product name and version in the directory names.  For more 
#   information see the specification at http://www.pathname.com/fhs/. 
# 
<Layout LinuxFHSFullName> 
    prefix:        /opt/apache-httpd-2_0_36 
    exec_prefix:   ${prefix} 
    bindir:        ${exec_prefix}/bin 
    sbindir:       ${exec_prefix}/sbin 
    libdir:        ${exec_prefix}/lib 
    libexecdir:    ${exec_prefix}/libexec 
    mandir:        ${prefix}/man 
    sysconfdir:    /etc${prefix} 
    datadir:       /var${prefix}/share 
    installbuilddir: ${datadir}/build 
    errordir:      ${datadir}/error 
    iconsdir:      ${datadir}/icons 
    htdocsdir:     ${datadir}/htdocs 
    manualdir:     ${prefix}/manual 
    cgidir:        ${datadir}/cgi-bin 
    includedir:    ${prefix}/include 
    localstatedir: /var${prefix} 
    runtimedir:    /var/run/apache-httpd-2_0_36 
    logfiledir:    /var/log/apache-httpd-2_0_36 
    proxycachedir: /var/cache/www/apache-httpd-2_0_36/proxy 
</Layout> 
 
Here's the configure command line I used: 
 
    $ ./configure --enable-layout=LinuxFHSFullName \ 
      --enable-modules="rewrite auth-dbm so ssl" 
 
Unless you're working with a later version than 2.0.36, you'll need 
to create "runtimedir" by hand after installing (bug #9233). 
 
Hope that helps, 
                                          Jonathan Knispel
Comment 1 Jonathan Knispel 2002-05-22 15:19:32 UTC
  Here are some additional path corrections for the apxs script: 
 
    my $envvars = get_vars("bindir") . "/envvars"; 
 
should use "sbindir" instead of "bindir".  Or perhaps replace the 
get_vars() call with $CFG_SBINDIR. 
 
  There are a few other references to "$prefix/build" or variants. 
They should be replaced with references to "installbuilddir", or a 
new variable $CFG_INSTALLBUILDDIR, defined in the same way as 
$CFG_SBINDIR.  Don't forget this one: 
 
    include %PREFIX%/build/special.mk 
 
  If it was just a matter of changing the script I'd offer a patch, 
but I'm an Apache novice and I don't have time to figure out how 
to get the config_vars.mk path into the apxs script.  I'm just hacking 
it in by hand. 
 
Regards, 
                                          Jonathan Knispel 
Comment 2 Jonathan Knispel 2002-05-22 15:26:25 UTC
  Just looking at building mod_webapp for Tomcat, it would be very 
useful if they could "apxs -q installbuilddir". 
Comment 3 Jeff Trawick 2002-06-05 12:03:59 UTC
The installbuilddir problem is a duplicate report (see 8453).  That
problem is now fixed.

The sbin/envvars problem has been fixed for some time.

I'll change this to an enhancment request to track your suggestion
to support "apxs -q installbuilddir".
Comment 4 Jeff Trawick 2002-06-05 12:04:51 UTC
fix the severity (now "Enhancement")
Comment 5 Jeff Trawick 2002-06-07 12:04:03 UTC
"apxs -q installbuilddir" now works with the current code in CVS.